AUTOMAKE_OPTIONS = foreign no-dependencies

EXTRA_DIST = README.math NTconfig.h

include_HEADERS = t_client.h t_pwd.h t_server.h t_sha.h

noinst_HEADERS = t_defines.h t_read.h nys_config.h yp_misc.h endXXent.h getXXent.h setXXent.h getXXbyYY.h nss_defs.h nsswitch.h

lib_LIBRARIES = libsrp.a

libsrp_a_SOURCES = \
  t_client.c t_conf.c t_conv.c t_getpass.c t_sha.c t_math.c t_misc.c \
  t_pw.c t_read.c t_server.c t_truerand.c yp_misc.c yp_tpasswd.c yp_tconf.c \
  nsw_tpasswd.c nsw_tconf.c nsswitch.c

noinst_PROGRAMS = clitest srvtest getpwtest srptest srpbench

clitest_SOURCES = clitest.c
srvtest_SOURCES = srvtest.c
getpwtest_SOURCES = getpwtest.c
srptest_SOURCES = srptest.c
srpbench_SOURCES = srpbench.c

LDADD = libsrp.a

INCLUDES = -I../include
